summaryrefslogtreecommitdiffstats
path: root/tests/test1.tst
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test1.tst')
-rw-r--r--tests/test1.tst15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/test1.tst b/tests/test1.tst
new file mode 100644
index 0000000..0eb547d
--- /dev/null
+++ b/tests/test1.tst
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+source ${CURDIR}/tests/functions
+
+#
+# Test that chroot return code is properly passed up
+#
+
+header "testing that chroot return code is passed back correctly"
+runcmd "$MOCKCMD --offline --chroot -- bash -c 'exit 5'"
+res=$?
+if [ $res -ne 5 ]; then
+ echo "'mock --chroot' return code not properly passed back: $res"
+ exit 1
+fi